declare module 'extra-random' {
/**
 * Lists n-bit psuedorandom numbers.
 * [more](https://github.com/nodef/extra-random/wiki/middleSquare)
 * @param s seed value
 * @param n size in bits
 */
export function middleSquare(s: bigint, n: bigint): () => bigint;
/**
 * Lists n-bit psuedorandom numbers.
 * [more](https://github.com/nodef/extra-random/wiki/middleSquare32)
 * @param s seed value
 * @param n size in bits
 */
export function middleSquare32(s: number, n: number): () => number;
export function middleSquareWeylSequence(x?: bigint, w?: bigint, s?: bigint): () => bigint;
export function tinyMt32(s?: number, mat1?: number, mat2?: number, tmat?: number): () => number;
export function tinyMt64(s?: bigint, mat1?: bigint, mat2?: bigint, tmat?: bigint): () => bigint;

export {};
}
